Protected SSL object enable(can send traffic) /disable.
Sources for this description
Radware MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.89.35.1.65.177.2.1.2
Protected SSL object enable(can send traffic) /disable.
Identification
{1 3 6 1 4 1 89 35 1 65 177 2 1 2}
| Value | Name |
|---|---|
| 1 | enable |
| 2 | disable |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition. The index encoding is not inferred here.
Published row index: rsProtectedObjName.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.89.35.1.65.177.2.1.2
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
rsProtectedObjEnable OBJECT-TYPE
SYNTAX INTEGER {
enable(1),
disable(2) }
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Protected SSL object enable(can send traffic) /disable."
DEFVAL { 2 }
::= {rsProtectedSslObjEntry 2}
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Protected SSL object enable(can send traffic) /disable.
Radware MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: rsProtectedObjEnable
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"rsProtectedObjEnable",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"enable",
"(",
"1",
")",
",",
"disable",
"(",
"2",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Protected SSL object enable(can send traffic) /disable.\"",
"DEFVAL",
"{",
"2",
"}",
"::=",
"{",
"rsProtectedSslObjEntry",
"2",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"enable",
1
],
[
"disable",
2
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Protected SSL object enable(can send traffic) /disable."
],
null,
null,
null,
[
"DEFVAL",
2
]
]
}Vendor MIB copy from the Observium Community archive. Radware support.
Module: IDS-MIB
See published definition above
{'IPV6-TC': ['Ipv6Address'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['MacAddress'], 'SNMPv2-SMI': ['Counter32', 'Counter64'], 'RADWARE-MIB': ['rsIDS', 'rndErrorDesc', 'rndErrorSeverity'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.89.35.1.65.177.2.1.1 | rsProtectedObjName | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.3 | rsProtectedObjIpAddr | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.4 | rsProtectedObjApplPort | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.5 | rsProtectedObjAddCertificate | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.6 | rsProtectedObjRemoveCertificate | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.7 | rsProtectedObjDefaultSNICertificate | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.8 | rsProtectedObjSSLV3Enable | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.9 | rsProtectedObjTLS10Enable | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.10 | rsProtectedObjTLS11Enable | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.11 | rsProtectedObjTLS12Enable | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.12 | rsProtectedObjCipherSuiteSystemEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.13 | rsProtectedObjUserCipher | 0 | 0 | |
| 1.3.6.1.4.1.89.35.1.65.177.2.1.14 | rsProtectedObjRowStatus | 0 | 0 |